var diamond2sellFormMask;
diamond2sellFormMask = mui.createMask(function() {
    mui('#diamond2sellForm')[0].style.display = "none";
});
mui.init();

var userLastData;
var app;

mui.plusReady(function() {

    userLastData = JSON.parse(plus.storage.getItem('userLastData'));

    app = new Vue({
        el: '#appWrap',
        data: {
            userInfo: userLastData['userInfo'],
            account: userLastData['account'],
            player: userLastData['player'],
            pools: userLastData['pools'],
            playerPools: userLastData['playerPools'] || [],
            selectedPool:{poolId:1,haveWeight:0},
            currentPrice: userLastData['currentPrice'] || [],
            selectedPoolPrice:{poolId:1,price:0},
            canSaleWeight:0,
            hasSelectedDiamond:false
        },
        computed: {
            
        },
        methods: {
            getDiamondImage:function(item){
              if(item){
                  var pool =  this.pools.filter(function(poolItem){
                      return poolItem.poolId == item.poolId;
                  })[0];
                  return '../images/icon-diamond-get'+pool.poolIcon+'.png';
              }  
            },
            getDiamondHaveWeight:function(item){
                if (item) {
                    if (item['haveWeight']) {
                        return parseFloat(item['haveWeight']/1000).toFixed(6);
                    }
                }
            },
            setDiamondpoolSell:function(poolItem,evt){
                this.selectedPool = poolItem;
                this.selectedPoolPrice = this.currentPrice.filter(function(item){
                    return poolItem.poolId == item.poolId;
                })[0];
                this.playerPools.forEach(function(iup){
                    iup.selected = false;
                })
                poolItem.selected = true;
                
                var pool = this.pools.filter(function(item){
                    return poolItem.poolId == item.poolId;
                })[0];
                if(pool){
                    this.canSaleWeight =  pool.canSaleWeight/1000;
                }
                
                this.hasSelectedDiamond = true;
            },
            canSellPool:function(poolItem){
                var pool = this.pools.filter(function(item){
                    return poolItem.poolId == item.poolId;
                })[0];
                if(pool){
                    return pool.canSale;
                }else {
                    return false;
                }
                
            }
        }

    })
    

    getCurrentPrice({
        callback: function() {
            //关闭等待框
            plus.nativeUI.closeWaiting();
            //显示当前页面
            plus.webview.show(mui.currentWebview, "slide-in-right", 200);
        }
    })



    mui('#diamond2sellForm').on('tap', '.closed', function(e) {
        hideDiamond2sellForm();
    })

    mui('#diamond2sellForm').on('tap', '#btnSendDiamond2sell', function(e) {
        var sellNum = document.getElementById('sellNum');
        if (sellNum.value % 10 != 0 || sellNum.value < 10) {
            mui.alert('兑换钻石数量必须为10的倍数', '错误提示', function() {});
            return false;
        }
        sellDiamond(parseInt(sellNum.value));
    })

    mui('#appWrap').on('tap', '#abtnHistory', function() {
        goSellHistoryPage();
    })

});


function showDiamond2sellForm(num) {
    diamond2sellFormMask.show(); //显示遮罩
    var sellNum = document.getElementById('sellNum');
    sellNum.value = num;
    mui('#diamond2sellForm')[0].style.display = "block";
}

function hideDiamond2sellForm() {
    diamond2sellFormMask.close();
    mui('#diamond2sellForm')[0].style.display = "none";
}



function sellDiamond(num) {
    console.log('sellDiamond');
    mui.ajax(apiServerUrl + '/idleserver/idleApi/sell.idle', {
        data: {
            accountId: userLastData['userInfo']['accountId'],
            authKey: userLastData['userInfo']['authKey'],
            saleWeight: num,
            poolId:app.selectedPool['poolId'],
            versionIndex: versionIndex
        },
        dataType: 'json',
        type: 'POST',
        timeout: 10000,
        headers: { 'content-type': 'application/x-www-form-urlencoded' },
        success: function(data) {
            //console.log(JSON.stringify(data))
            if (data['success']) {
                //写cookie
                userLastData['player'] = data['result']['player'];
                userLastData.playerPools.forEach(function(iup,index){
                    if(iup.poolId == data['result']['playerPool']['poolId']){
                        userLastData.playerPools[index] = data['result']['playerPool'];
                    }
                })
                plus.storage.setItem('userLastData', JSON.stringify(userLastData));
                //写同步
                app['player'] = data['result']['player'];
                app['playerPools'].forEach(function(iup,index){
                    if(iup.poolId == data['result']['playerPool']['poolId']){
                        app['playerPools'][index] = data['result']['playerPool'];
                        app['playerPools'][index].selected = true;
                    }
                });
                app['playerPools'].sort().sort();
                app['selectedPool'] = data['result']['playerPool'];
                //hideDiamond2sellForm();
                mui.alert('成功兑换' + num/1000 + '克拉钻石！', '提示', function() {});
            } else {
                ajaxErrorParse(data);
            }
        },
        error: function(xhr, type, errorThrown) {
            ajaxErrorTip(xhr, type, errorThrown);
        }
    });
}



function getCurrentPrice(op) {
    console.log('getCurrentPrice');
    mui.ajax(apiServerUrl + '/idleserver/idleApi/getCurrentPrice.idle', {
        data: {
            accountId: userLastData['userInfo']['accountId'],
            authKey: userLastData['userInfo']['authKey'],
            versionIndex: versionIndex
        },
        dataType: 'json',
        type: 'POST',
        timeout: 10000,
        headers: { 'content-type': 'application/x-www-form-urlencoded' },
        success: function(data) {
            //console.log(JSON.stringify(data))
            if (data['success']) {
                //写cookie
                userLastData['currentPrice'] = data['result'];
                plus.storage.setItem('userLastData', JSON.stringify(userLastData));
                //写同步
                app['currentPrice'] = data['result'];
                app['currentPrice'].sort(function(a, b) { return ( b.poolId - a.poolId) });
                if (op.callback) {
                    op.callback(data);
                }
            } else {
                ajaxErrorParse(data);
            }
        },
        error: function(xhr, type, errorThrown) {
            ajaxErrorTip(xhr, type, errorThrown);
        }
    });
}


function goSellHistoryPage() {
    mui.openWindow({
        url: '/html/sellHistory.html',
        id: '/html/sellHistory.html',
        styles: {
            titleNView: {
                titleText: "记录",
                titleColor: "#000000",
                titleSize: "17px",
                backgroundColor: "#ffffff",
                splitLine: {
                    color: "#f7f8fc",
                    height: "1px"
                },
                autoBackButton: true,
            }
        },
        show: {
            autoShow: false
        }
    });
}