
var userLastData;
var app;
var shares = null;
var sweixin = null;
var buttons = [{
    title: '发送给微信好友',
    extra: {
        scene: 'WXSceneSession'
    }
}, {
    title: '分享到微信朋友圈',
    extra: {
        scene: 'WXSceneTimeline'
    }
}];

document.addEventListener('reLoadData', function() {
    console.log('getdiamondrod_on_fire_reloadData');
    userLastData = JSON.parse(plus.storage.getItem('userLastData'));
    app['player'] = userLastData['player'];
    app['tasks'] = userLastData['tasks'];
    getTaskList();
});

mui.init();
mui.plusReady(function() {

    updateSerivces();
    userLastData = JSON.parse(plus.storage.getItem('userLastData'));
    getTaskList({
        callback: function() {
            //关闭等待框
            plus.nativeUI.closeWaiting();
            //显示当前页面
            plus.webview.show(mui.currentWebview, "slide-in-right", 200);
        }
    });
    app = new Vue({
        el: '#appWrap',
        data: {
            userInfo: userLastData['userInfo'],
            account: userLastData['account'],
            player: userLastData['player'],
            tasks: userLastData['tasks'] || [],
            dayCheck:[
                {title:'第1天',checked:true,reward:5},
                {title:'第2天',checked:false,reward:5},
                {title:'第3天',checked:false,reward:5},
                {title:'第4天',checked:false,reward:5},
                {title:'第5天',checked:false,reward:5},
                {title:'第6天',checked:false,reward:5},
                {title:'第7天',checked:false,reward:20}
            ]
        },
        computed: {},
        methods: {
            formatDesc: function(tItem) {
                switch (tItem['taskType']) {
                    case 'invite':
                        return '累计邀请 ' + tItem['targetValue'] + ' 位好友， 已完成 ' + (tItem['playerData']['currVal'] ? tItem['playerData']['currVal'] : 0) + ' 位。'+(tItem['rewardDuration'] != 0 ? '(有效期'+tItem['rewardDuration']+'天)' : '');;
                        break;
                    case 'login':
                        return '每日签到，赠送 ' + tItem['rewardOutputUnit'] + ' 能量石。'+(tItem['rewardDuration'] != 0 ? '(有效期'+tItem['rewardDuration']+'天)' : '');
                        break;
                    case 'sharewechat':
                        return '每日分享，赠送 ' + tItem['rewardOutputUnit'] + ' 能量石。'+(tItem['rewardDuration'] != 0 ? '(有效期'+tItem['rewardDuration']+'天)' : '');
                        break;
                }
            },
            isBian:function(rewardDuration){
                if(rewardDuration != 0){
                    return '(有效期'+rewardDuration+'天)';
                }else {
                    return '';
                }
            }
        }
    })
});

function goToPage(tItem) {
    switch (tItem['taskType']) {
        case 'invite':
            goInviteFriendPage();
            break;
        case 'sharewechat':
            goInviteFriendPage();
            //shareText();
            break;
    }
}



function getTaskList(op) {
    console.log('getTaskList');
    mui.ajax(apiServerUrl + '/idleserver/idleApi/getTaskList.idle', {
        data: {
            accountId: userLastData['userInfo']['accountId'],
            authKey: userLastData['userInfo']['authKey'],
            versionIndex: versionIndex
        },
        dataType: 'json',
        type: 'POST',
        timeout: 10000,
        headers: {
            'content-type': 'application/x-www-form-urlencoded'
        },
        success: function(data) {
            //console.log(JSON.stringify(data))
            if (data['success']) {
                mui.each(data['result']['tasks'], function(index, item) {
                    var filterData = data['result']['playerTasks'].filter(function(ditem) {
                        return ditem['tDId'] == item['tDId'];
                    })[0];
                    if (filterData) {
                        item['playerData'] = filterData;
                    } else {
                        item['playerData'] = { isComplete: false };
                    }
                })
                //写cookie
                userLastData['tasks'] = data['result']['tasks'];
                userLastData['playerTasks'] = data['result']['playerTasks'];
                plus.storage.setItem('userLastData', JSON.stringify(userLastData));
                //写同步
                app['playerTasks'] = data['result']['playerTasks'];
                app['tasks'] = data['result']['tasks'];
                app['tasks'].sort(function(a, b) {
                    return (b.tDId - a.tDId)
                });
                if (op) {
                    if (op.callback) {
                        op.callback();
                    }
                }
            } else {
                ajaxErrorParse(data);
            }
        },
        error: function(xhr, type, errorThrown) {
            ajaxErrorTip(xhr, type, errorThrown);
        }
    });
}
/**
 * 更新分享服务
 */
function updateSerivces() {
    plus.share.getServices(function(s) {
        shares = {};
        for (var i in s) {
            var t = s[i];
            shares[t.id] = t;
        }
        sweixin = shares['weixin'];
    }, function(e) {
        //outSet('获取分享服务列表失败：'+e.message);
    });
}

function goInviteFriendPage() {
    mui.openWindow({
        url: '/html/inviteFriend.html',
        id: '/html/inviteFriend.html',
        styles: {
            titleNView: {
                titleText: "招募好友",
                titleColor: "#000000",
                titleSize: "17px",
                backgroundColor: "#ffffff",
                splitLine: {
                    color: "#f7f8fc",
                    height: "1px"
                },
                autoBackButton: true,
            }
        },
        show: {
            autoShow: false
        }
    });
}


function shareWeChat() {
    console.log('shareWeChat');
    mui.ajax(apiServerUrl + '/idleserver/idleApi/shareWeChat.idle', {
        data: {
            accountId: userLastData['userInfo']['accountId'],
            authKey: userLastData['userInfo']['authKey'],
            versionIndex: versionIndex
        },
        dataType: 'json',
        type: 'POST',
        timeout: 10000,
        headers: {
            'content-type': 'application/x-www-form-urlencoded'
        },
        success: function(data) {
            //console.log(JSON.stringify(data))
            if (data['success']) {

            } else {
                ajaxErrorParse(data);
            }
        },
        error: function(xhr, type, errorThrown) {
            //异常处理；
            var errorContent = JSON.parse(xhr.responseText);
            mui.alert(errorContent['errorInfo'], '错误提示', function() {});
        }
    });
}