mui.init();

var userLastData;
var app;

mui.plusReady(function() {

    userLastData = JSON.parse(plus.storage.getItem('userLastData'));

    app = new Vue({
        el: '#appWrap',
        data: {
            userInfo: userLastData['userInfo'],
            account: userLastData['account'],
            player: userLastData['player'],
            canSaleWeight: userLastData['canSaleWeight'] || 15,
            minWithdrawalNum: userLastData['minWithdrawalNum'] || 10,
            price: userLastData['price'] || [{ price: 0 }]
        },
        computed: {
            lastPrice: function() {
                if (this.price.length > 0) {
                    return this.price[this.price.length - 1];
                } else {
                    return { price: 0 }
                }

            }
        },
        methods: {

        }

    })

    mui('#appWrap').on('tap', '#btnMoney2Self', function(e) {
        var moneyNum = document.getElementById('moneyInput');
        var moneyAddr = document.getElementById('payAddrInput');        
        var moneySurname = document.getElementById('paySurnameInput');
        if (moneyNum.value.length == 0 || moneyNum.value < 0) {
            mui.alert('请输入提现金额', '错误提示', function() {});
            return false;
        }
        if (moneyAddr.value.length == 0) {
            mui.alert('请输入支付地址', '错误提示', function() {});
            return false;
        }
        if (moneySurname.value.length == 0) {
            mui.alert('请输入收款人姓氏', '错误提示', function() {});
            return false;
        }
        
        if (moneyNum.value < userLastData['minWithdrawalNum'] ) {
            mui.alert('最低提现金额为'+userLastData['minWithdrawalNum']+'元', '错误提示', function() {});
            return false;
        }
        withdrawal({
            num: moneyNum.value,
            addr: moneyAddr.value,
            surname: moneySurname.value
        });
    })

    mui('#appWrap').on('tap', '#abtnHistory', function(e) {
        goHistoryPage();
    })

});



function goHistoryPage() {
    mui.openWindow({
        url: '/html/sellHistory.html',
        id: '/html/sellHistory.html',
        styles: {
            titleNView: {
                titleText: "记录",
                titleColor: "#000000",
                titleSize: "17px",
                backgroundColor: "#ffffff",
                splitLine: {
                    color: "#f7f8fc",
                    height: "1px"
                },
                autoBackButton: true,

            }
        },
        extras: {
            tab: 'money2selfList'
        },
        show: {
            autoShow: false
        }
    });
}


function withdrawal(op) {
    console.log('withdrawal');
    console.log(JSON.stringify(op))
    mui.ajax(apiServerUrl + '/idleserver/idleApi/withdrawal.idle', {
        data: {
            accountId: userLastData['userInfo']['accountId'],
            authKey: userLastData['userInfo']['authKey'],
            wNum: op.num,
            addr: op.addr,
            surname: op.surname,
            versionIndex: versionIndex
        },
        dataType: 'json',
        type: 'POST',
        timeout: 10000,
        headers: { 'content-type': 'application/x-www-form-urlencoded' },
        success: function(data) {
            console.log(JSON.stringify(data))
            if (data['success']) {
                //写cookie
                userLastData['player'] = data['result']['player'];
                plus.storage.setItem('userLastData', JSON.stringify(userLastData));
                //写同步
                app['player'] = data['result']['player'];
                var moneyNum = document.getElementById('moneyInput');
                var moneyAddr = document.getElementById('payAddrInput');
                moneyNum.value = '';
                moneyAddr.value = '';
                mui.alert('提现申请提交成功', '提示', function() {});
            } else {
                ajaxErrorParse(data);
            }
        },
        error: function(xhr, type, errorThrown) {
            //异常处理；
            var errorContent = JSON.parse(xhr.responseText);
            mui.alert(errorContent['errorInfo'], '错误提示', function() {});
        }
    });
}