mui.init({});

var userLastData;
var app;
var ajaxCount = 0;
mui.plusReady(function() {
    userLastData = JSON.parse(plus.storage.getItem('userLastData'));
    app = new Vue({
        el: '#appWrap',
        data: {
            userInfo: userLastData['userInfo'],
            account: userLastData['account'],
            player: userLastData['player'],
            readNewMail: [],
            readMail: []
        },
        computed: {},
        methods: {
            formatNoP:function(content){
                return content.replace(/\n/g,'<br/>');
            }
        }

    })
    ajaxCount = 0;
    readNewMail({
        callback: function(data) {
            ajaxCount++;
            if (ajaxCount == 2) {
                //关闭等待框
                plus.nativeUI.closeWaiting();
                //显示当前页面
                plus.webview.show(mui.currentWebview, "slide-in-right", 200);
            }
        }
    })

    readMail({
        callback: function(data) {
            ajaxCount++;
            if (ajaxCount == 2) {
                //关闭等待框
                plus.nativeUI.closeWaiting();
                //显示当前页面
                plus.webview.show(mui.currentWebview, "slide-in-right", 200);
            }
        }
    })

    mui.each(document.getElementsByClassName('tab-content'), function(index, item) {
        item.style.height = window.innerHeight - 65 + 'px';
    })

    var self = plus.webview.currentWebview();
    if (self.tab) {
        showTab(self.tab);
    }
});


function showTab(wrapId) {
    switch (wrapId) {
        case 'unReadMail':
            document.getElementsByClassName('control-item')[0].className = 'control-item active';
            document.getElementById('unReadMail').className = 'tab-content active';
            document.getElementsByClassName('control-item')[1].className = 'control-item';
            document.getElementById('haveReadMail').className = 'tab-content';
            break;
        case 'haveReadMail':
            document.getElementsByClassName('control-item')[1].className = 'control-item active';
            document.getElementById('haveReadMail').className = 'tab-content active';
            document.getElementsByClassName('control-item')[0].className = 'control-item';
            document.getElementById('unReadMail').className = 'tab-content';
            break;
    }
}

function readNewMail(op) {
    console.log('readNewMail');
    mui.ajax(apiServerUrl + '/idleserver/idleApi/readNewMail.idle', {
        data: {
            accountId: userLastData['userInfo']['accountId'],
            authKey: userLastData['userInfo']['authKey'],
            versionIndex: versionIndex
        },
        dataType: 'json',
        type: 'POST',
        timeout: 10000,
        headers: { 'content-type': 'application/x-www-form-urlencoded' },
        success: function(data) {
            //console.log(JSON.stringify(data))
            if (data['success']) {
                //写cookie
                userLastData['readNewMail'] = data['result'];
                plus.storage.setItem('userLastData', JSON.stringify(userLastData));
                //写同步
                var mailALl = [];
                data['result']['mails'].forEach(function(item){
                    item['type'] = '系统';
                    mailALl.push(item);
                })
                data['result']['playerMails'].forEach(function(item){
                    item['type'] = '用户';
                    mailALl.push(item);
                })
                app['readNewMail'] = mailALl;
                app['readNewMail'].sort(function(a, b) { return (b.startTime - a.startTime) });
                if (op.callback) {
                    op.callback(data);
                }
            } else {
                ajaxErrorParse(data);
            }
        },
        error: function(xhr, type, errorThrown) {
            ajaxErrorTip(xhr, type, errorThrown);
        }
    });
}

function readMail(op) {
    console.log('readMail');
    mui.ajax(apiServerUrl + '/idleserver/idleApi/readMail.idle', {
        data: {
            accountId: userLastData['userInfo']['accountId'],
            authKey: userLastData['userInfo']['authKey'],
            versionIndex: versionIndex
        },
        dataType: 'json',
        type: 'POST',
        timeout: 10000,
        headers: { 'content-type': 'application/x-www-form-urlencoded' },
        success: function(data) {
            //console.log(JSON.stringify(data))
            if (data['success']) {
                //写cookie
                userLastData['readMail'] = data['result'];
                plus.storage.setItem('userLastData', JSON.stringify(userLastData));
                //写同步
                var mailALl = [];
                data['result']['mails'].forEach(function(item){
                    item['type'] = '系统';
                    mailALl.push(item);
                })
                data['result']['playerMails'].forEach(function(item){
                    item['type'] = '用户';
                    mailALl.push(item);
                })
                app['readMail'] = mailALl;
                app['readMail'].sort(function(a, b) { return (b.startTime - a.startTime) });
                if (op.callback) {
                    op.callback(data);
                }
            } else {
                ajaxErrorParse(data);
            }
        },
        error: function(xhr, type, errorThrown) {
            ajaxErrorTip(xhr, type, errorThrown);
        }
    });
}