var userLastData;
var app;
var lineChart;
var getPricesTimer;
var inited = false;
var lineColor = ['#c23531','#2f4554', '#61a0a8', '#d48265', '#91c7ae','#749f83',  '#ca8622', '#bda29a','#6e7074', '#546570', '#c4ccd3'];
document.addEventListener('reLoadData', function() {
    console.log('sell_on_fire_reloadData');
    if (inited) {
        userLastData = JSON.parse(plus.storage.getItem('userLastData'));
        app.playerPools = userLastData['playerPools'];
        app.pools = userLastData['pools'];
        getCurrentPrice();
    }
});
mui.init();
mui.plusReady(function() {
    inited = true;
    userLastData = JSON.parse(plus.storage.getItem('userLastData'));
    app = new Vue({
        el: '#appWrap',
        data: {
            userInfo: userLastData['userInfo'],
            account: userLastData['account'],
            player: userLastData['player'],
            pools:userLastData['pools'],
            playerPools: userLastData['playerPools'] || [],
            getPrices: userLastData['getPrices'] || [],
            currentPrice: userLastData['currentPrice'] || [],
            sortPrices:{}
        },
        computed: {
            totalHaveDiamondWeight:function(){
                var totalWeight = 0;
                this.playerPools.forEach(function(item,index){
                    totalWeight+=item.haveWeight;
                })
                return (parseFloat(totalWeight)/1000).toFixed(6); 
            },
            totalDiamondBalance:function(){
                var totalPrices = 0;
                var _this = this;
                this.playerPools.forEach(function(item,index){
                    var poolPrice =  _this.currentPrice.filter(function(poolItem){
                        return poolItem.poolId == item.poolId;
                    })[0];
                    if(poolPrice){
                        totalPrices+=item.haveWeight*poolPrice.price;
                    }
                })
                return parseFloat(totalPrices).toFixed(3);
            }
        },
        methods: {
            getDiamondImage:function(item){
              if(item){
                  var pool =  this.pools.filter(function(poolItem){
                      return poolItem.poolId == item.poolId;
                  })[0];
                  return '../images/icon-diamond-get'+pool.poolIcon+'.png';
              }
            },
            getPoolColor:function(itemIndex){
                return lineColor[itemIndex];
            },
            getDiamondHaveWeight:function(item){
                if (item) {
                    if (item['haveWeight']) {
                        return parseFloat(item['haveWeight']/1000).toFixed(6);
                    }
                }
            },
            getPoolDiamondPrice:function(poolItem){
                var poolPrice =  this.currentPrice.filter(function(item){
                    return poolItem.poolId == item.poolId;
                })[0];
                if(poolPrice){
                    return parseFloat(poolPrice.price*1000).toFixed(3);
                }else {
                    return 0;
                }
                
            }
        }
    })
    mui('#appWrap').on('tap', '#abtnSellHistory', function() {
        goSellHistoryPage();
    })

    mui('#sellAction').on('tap', '.diamond2sell', function() {
        goDiamond2sellPage();
    })

    mui('#sellAction').on('tap', '.money2self', function() {
        goMoney2selfPage();
    })

    mui('#moneyTeach').on('tap', 'a', function() {
        goMoneyTeachPage();
    })

    mui('#hotActivity').on('tap', 'a', function(e) {
        //mui.alert('氪金不足，请继续加油哟！','提示');
    });

//     var cw = plus.webview.getWebviewById('html/sell.html');
//     cw.reloadData = function() {
//         getPrices();
//     }

//     getPrices({
//         callback: function() {
//             //关闭等待框
//             plus.nativeUI.closeWaiting();
//             //显示当前页面
//             plus.webview.show(mui.currentWebview, 'fade-in', 300);
//         }
//     });
    
    getCurrentPrice({
        callback:function(){
            
            //setTimeout(function(){
                //关闭等待框
                plus.nativeUI.closeWaiting();
                //显示当前页面
                plus.webview.show(mui.currentWebview, 'fade-in', 300);
            //},500)
            
        }
    })
});




function updateChart(op) {
    var chartOption = {
        legend: {
            data: [],
            show:false
        },
        tooltip: {
            trigger: 'axis'
        },
        grid: {
            x: 45,
            x2: 10,
            y: 50,
            y2: 25
        },
        toolbox: {
            show: false,
            feature: {
                mark: {
                    show: true
                },
                dataView: {
                    show: true,
                    readOnly: false
                },
                magicType: {
                    show: true,
                    type: ['line']
                },
                restore: {
                    show: true
                },
                saveAsImage: {
                    show: false
                }
            }
        },
        color:lineColor,
        calculable: false,
        xAxis: [],
        yAxis: [{
            type: 'value',
            splitArea: {
                show: true
            }
        }],
        series: []
    };
    
    mui.each(op, function(index, item) {
        var xAxisItem = {
            type: 'category',
            data: []
        };
        var xSeriesItem = {
            name: '鱼'+index,
            type: 'line',
            data: []
        }
        chartOption['legend']['data'].push({
            name:'鱼'+index
        });
        mui.each(item,function(pIndex,pItem){
            var date = new Date(pItem.createTime);
            xAxisItem['data'].push(date.getMonth() + 1 + '-' + date.getDate()+' '+date.getHours()+':'+date.getMinutes())
            xSeriesItem['data'].push(parseFloat(pItem.price*1000).toFixed(3));
        });
        chartOption['xAxis'].push(xAxisItem);
        chartOption['series'].push(xSeriesItem);
        
    })

    lineChart.setOption(chartOption);
}

function getCurrentPrice(op) {
    console.log('getCurrentPrice');
    mui.ajax(apiServerUrl + '/idleserver/idleApi/getCurrentPrice.idle', {
        data: {
            accountId: userLastData['userInfo']['accountId'],
            authKey: userLastData['userInfo']['authKey'],
            versionIndex: versionIndex
        },
        dataType: 'json',
        type: 'POST',
        timeout: 10000,
        headers: { 'content-type': 'application/x-www-form-urlencoded' },
        success: function(data) {
            //console.log(JSON.stringify(data))
            if (data['success']) {
                //写cookie
                userLastData['currentPrice'] = data['result'];
                plus.storage.setItem('userLastData', JSON.stringify(userLastData));
                //写同步
                app['currentPrice'] = data['result'];
                app['currentPrice'].sort(function(a, b) { return ( b.poolId - a.poolId) });
                if(op){
                    if (op.callback) {
                        op.callback(data);
                    }
                }                
            } else {
                ajaxErrorParse(data);
            }
        },
        error: function(xhr, type, errorThrown) {
            ajaxErrorTip(xhr, type, errorThrown);
        }
    });
}

function getPrices(op) {
    console.log('getPrices');
    mui.ajax(apiServerUrl + '/idleserver/idleApi/getPrices.idle', {
        data: {
            accountId: userLastData['userInfo']['accountId'],
            authKey: userLastData['userInfo']['authKey'],
            versionIndex: versionIndex
        },
        dataType: 'json',
        type: 'POST',
        timeout: 10000,
        headers: {
            'content-type': 'application/x-www-form-urlencoded'
        },
        success: function(data) {
            //console.log(JSON.stringify(data))
            if (data['success']) {
                var tem = {};
                data['result'].forEach(function(pItem,index){
                    if(tem[pItem['poolId']]){
                        tem[pItem['poolId']].push(pItem);
                    }else {
                        tem[pItem['poolId']] = [];
                        tem[pItem['poolId']].push(pItem);
                    }
                });
                mui.each(tem,function(indexes,item){
                    item.sort(function(a, b) {
                       return (a.createTime - b.createTime)
                    });
                });
                data['result'] = tem;
                //写cookie
                userLastData['getPrices'] = tem;
                plus.storage.setItem('userLastData', JSON.stringify(userLastData));
                //写同步
                app['getPrices'] = tem;
//                 app['getPrices'].sort(function(a, b) {
//                    return (a.createTime - b.createTime)
//                 });

                if (!lineChart) {
                    lineChart = echarts.init(document.getElementById('priceChart'));
                }

                updateChart(tem);
                if (op) {
                    if (op.callback) {
                        op.callback()
                    }
                }

            } else {
                ajaxErrorParse(data);
            }
        },
        error: function(xhr, type, errorThrown) {
            ajaxErrorTip(xhr, type, errorThrown);
        }
    });
}

function goSellHistoryPage() {
    mui.openWindow({
        url: '/html/sellHistory.html',
        id: '/html/sellHistory.html',
        styles: {
            titleNView: {
                titleText: "记录",
                titleColor: "#000000",
                titleSize: "17px",
                backgroundColor: "#ffffff",
                splitLine: {
                    color: "#f7f8fc",
                    height: "1px"
                },
                autoBackButton: true,
            }
        },
        createNew:true,
        show: {
            autoShow: false
        }
    });
}

function goDiamond2sellPage() {
    mui.openWindow({
        url: '/html/diamond2sell.html',
        id: '/html/diamond2sell.html',
        styles: {
            titleNView: {
                titleText: "兑换氪金",
                titleColor: "#000000",
                titleSize: "17px",
                backgroundColor: "#ffffff",
                splitLine: {
                    color: "#f7f8fc",
                    height: "1px"
                },
                autoBackButton: true,
            }
        },
        createNew:true,
        show: {
            autoShow: false
        }
    });
}

function goMoney2selfPage() {
    mui.openWindow({
        url: '/html/money2self.html',
        id: '/html/money2self.html',
        styles: {
            titleNView: {
                titleText: "氪金提现",
                titleColor: "#000000",
                titleSize: "17px",
                backgroundColor: "#ffffff",
                splitLine: {
                    color: "#f7f8fc",
                    height: "1px"
                },
                autoBackButton: true,
            }
        },
        createNew:true
    });
}

function goMoneyTeachPage() {
    mui.openWindow({
        url: '/html/withdrawTeach.html',
        id: '/html/withdrawTeach.html',
        styles: {
            titleNView: {
                titleText: "提现教程",
                titleColor: "#000000",
                titleSize: "17px",
                backgroundColor: "#ffffff",
                splitLine: {
                    color: "#f7f8fc",
                    height: "1px"
                },
                autoBackButton: true,
            }
        },
        createNew:true
    });
}