mui.init({});

var userLastData;
var app;
var ajaxCount = 0;
mui.plusReady(function() {
    userLastData = JSON.parse(plus.storage.getItem('userLastData'));
    app = new Vue({
        el: '#appWrap',
        data: {
            userInfo: userLastData['userInfo'],
            account: userLastData['account'],
            player: userLastData['player'],
            pools: userLastData['pools'],
            sellList: userLastData['sellList'] || [],
            WList: userLastData['WList'] || []
        },
        computed: {

        },
        methods: {
            getwState:function(wState) {
                switch (wState) {
                    case 'apply':
                        return '申请中';
                        break;
                    case 'reject':
                        return '被拒绝';
                        break;
                    case 'complete':
                        return '提现成功';
                        break;
                    case 'rollback':
                        return '被退回';
                        break;
                    default:
                        return wState;
                }
            },
            diamondType:function(item){
                if(item){
                  var pool =  this.pools.filter(function(poolItem){
                      return poolItem.poolId == item.poolId;
                  })[0];
                  return '../images/icon-diamond'+pool.poolIcon+'.png';
              }
            }

        }

    })
    ajaxCount = 0;
    getSellList({
        callback: function(data) {
            ajaxCount++;
            if (ajaxCount == 2) {
                //关闭等待框
                plus.nativeUI.closeWaiting();
                //显示当前页面
                plus.webview.show(mui.currentWebview, "slide-in-right", 200);
            }
        }
    })

    getWList({
        callback: function(data) {
            ajaxCount++;
            if (ajaxCount == 2) {
                //关闭等待框
                plus.nativeUI.closeWaiting();
                //显示当前页面
                plus.webview.show(mui.currentWebview, "slide-in-right", 200);
            }
        }
    })

    mui.each(document.getElementsByClassName('tab-content'), function(index, item) {
        item.style.height = window.innerHeight - 65 + 'px';
    })

    var self = plus.webview.currentWebview();
    if (self.tab) {
        showTab(self.tab);
    }
});


function showTab(wrapId) {
    switch (wrapId) {
        case 'diamond2moneyList':
            document.getElementsByClassName('control-item')[0].className = 'control-item active';
            document.getElementById('diamond2moneyList').className = 'tab-content active';
            document.getElementsByClassName('control-item')[1].className = 'control-item';
            document.getElementById('money2selfList').className = 'tab-content';
            break;
        case 'money2selfList':
            document.getElementsByClassName('control-item')[1].className = 'control-item active';
            document.getElementById('money2selfList').className = 'tab-content active';
            document.getElementsByClassName('control-item')[0].className = 'control-item';
            document.getElementById('diamond2moneyList').className = 'tab-content';
            break;
    }
}

function getSellList(op) {
    console.log('getSellList');
    mui.ajax(apiServerUrl + '/idleserver/idleApi/getSellList.idle', {
        data: {
            accountId: userLastData['userInfo']['accountId'],
            authKey: userLastData['userInfo']['authKey'],
            versionIndex: versionIndex
        },
        dataType: 'json',
        type: 'POST',
        timeout: 10000,
        headers: { 'content-type': 'application/x-www-form-urlencoded' },
        success: function(data) {
            //console.log(JSON.stringify(data))
            if (data['success']) {
                //写cookie
                userLastData['sellList'] = data['result'];
                plus.storage.setItem('userLastData', JSON.stringify(userLastData));
                //写同步
                app['sellList'] = data['result'];
                app['sellList'].sort(function(a, b) { return (b.sellTime - a.sellTime) });
                if (op.callback) {
                    op.callback(data);
                }
            } else {
                ajaxErrorParse(data);
            }
        },
        error: function(xhr, type, errorThrown) {
            ajaxErrorTip(xhr, type, errorThrown);
        }
    });
}

function getWList(op) {
    console.log('getWList');
    mui.ajax(apiServerUrl + '/idleserver/idleApi/getWList.idle', {
        data: {
            accountId: userLastData['userInfo']['accountId'],
            authKey: userLastData['userInfo']['authKey'],
            versionIndex: versionIndex
        },
        dataType: 'json',
        type: 'POST',
        timeout: 10000,
        headers: { 'content-type': 'application/x-www-form-urlencoded' },
        success: function(data) {
            //console.log(JSON.stringify(data))
            if (data['success']) {
                //写cookie
                userLastData['WList'] = data['result'];
                plus.storage.setItem('userLastData', JSON.stringify(userLastData));
                //写同步
                app['WList'] = data['result'];
                app['WList'].sort(function(a, b) { return (b.wTime - a.wTime) });
                if (op.callback) {
                    op.callback(data);
                }
            } else {
                ajaxErrorParse(data);
            }
        },
        error: function(xhr, type, errorThrown) {
            ajaxErrorTip(xhr, type, errorThrown);
        }
    });
}